{ mkDerivation, QuickCheck, aeson, aeson-pretty, attoparsec, base
, base16-bytestring, bytestring, canonical-json, cardano-prelude
, containers, crypton, fetchzip, formatting, ghc-heap, ghc-prim
, hedgehog, hspec, lib, pretty-show, quickcheck-instances
, template-haskell, text, th-compat, time
}:
mkDerivation {
  pname = "cardano-prelude-test";
  version = "0.1.0.5";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/cardano-prelude-test-0.1.0.5.tar.gz";
    sha256 = "00m7f35511z3xbp1xm4wa8bl6d38mn8a1mzm40krv8xng2d9fc6m";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson aeson-pretty attoparsec base base16-bytestring bytestring
    canonical-json cardano-prelude containers crypton formatting
    hedgehog hspec pretty-show QuickCheck quickcheck-instances
    template-haskell text th-compat time
  ];
  testHaskellDepends = [
    base bytestring cardano-prelude ghc-heap ghc-prim hedgehog text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Utility types and functions for testing Cardano";
  license = lib.licenses.mit;
  broken = false;
}