{ mkDerivation, QuickCheck, array, async, base, bytestring, deepseq
, lib, nothunks, primitive, stm, tasty, tasty-quickcheck, time
}:
mkDerivation {
  pname = "io-classes";
  version = "1.7.0.0";
  sha256 = "707597183f48243dcad1bc0ca8e77fb645ed82afb4783abcfbc3d0597b02d7d2";
  revision = "2";
  editedCabalFile = "1lkffla90j6fp64kbw220dsqxy0cqwa0987ssp24skkkgk5j0132";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    array async base bytestring deepseq nothunks primitive QuickCheck
    stm time
  ];
  testHaskellDepends = [ base QuickCheck tasty tasty-quickcheck ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Type classes for concurrency with STM, ST and timing";
  license = lib.licenses.asl20;
  broken = false;
}