{ mkDerivation, aeson, aeson-pretty, base, base16-bytestring
, bytestring, cborg, containers, data-default-class, deepseq
, deriving-compat, extra, fetchzip, filepath, flat, hashable
, hedgehog, hedgehog-fn, lens, lib, memory, mtl, plutus-core
, pretty-show, prettyprinter, serialise, tagged, tasty
, tasty-hedgehog, tasty-hunit, template-haskell, text
, th-abstraction, th-compat
}:
mkDerivation {
  pname = "plutus-tx";
  version = "1.38.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/plutus-tx-1.38.0.0.tar.gz";
    sha256 = "003y3v1a5vax40jympy7zm7xrgjhqhvqpclci88vzf6srpcl17s8";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson aeson-pretty base base16-bytestring bytestring containers
    data-default-class deepseq deriving-compat extra flat hashable
    hedgehog lens memory mtl plutus-core prettyprinter serialise tagged
    tasty tasty-hedgehog template-haskell text th-abstraction th-compat
  ];
  testHaskellDepends = [
    aeson base base16-bytestring bytestring cborg containers filepath
    hedgehog hedgehog-fn lens mtl plutus-core pretty-show serialise
    tasty tasty-hedgehog tasty-hunit text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Libraries for Plutus Tx and its prelude";
  license = lib.licenses.asl20;
  broken = false;
}