{ mkDerivation, QuickCheck, base, fetchzip, lib, megaparsec
, microlens, mtl, parser-combinators, prettyprinter
, quickcheck-text, tasty, tasty-hunit, tasty-quickcheck, text
}:
mkDerivation {
  pname = "prettyprinter-configurable";
  version = "1.36.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/prettyprinter-configurable-1.36.0.0.tar.gz";
    sha256 = "0hhf0k69vrgy4pprrivxsy6c2g9fzralqs6m5j47n101d875w9bs";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base microlens mtl prettyprinter text ];
  testHaskellDepends = [
    base megaparsec parser-combinators QuickCheck quickcheck-text tasty
    tasty-hunit tasty-quickcheck text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/input-output-hk/plutus/tree/master/prettyprinter-configurable/";
  description = "Configurable pretty-printing";
  license = "unknown";
  broken = false;
}