{ mkDerivation, base, lib }:
mkDerivation {
  pname = "singletons";
  version = "3.0.3";
  sha256 = "99600410644fd8331f0fd546b8ce2b5c4b399321d43c3047542a609bca0a1c7e";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base ];
  testHaskellDepends = [ base ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "http://www.github.com/goldfirere/singletons";
  description = "Basic singleton types and definitions";
  license = lib.licenses.bsd3;
  broken = false;
}